local COLOR = {
    GRAY = {155,155,155},
    WHITE = {255,255,255}
}
checkerboard= function(x,y,width,height,boxwidth,boxheight,ox,oy)
    local ox,oy = ox or 0,oy or 0
    local start = x - ox 
    local starty = y - oy
    local no = 0
    for y=starty,starty + height + oy,boxheight do 
        local offset = no % 2 == 1
        local xno = 0
        for x=start,start + width + ox,boxwidth do
            local color = COLOR.GRAY 
            if offset then 
                if xno % 2 == 1 then 
                    color = COLOR.WHITE
                end
            else 
                if xno % 2 == 0 then 
                    color = COLOR.WHITE
                end 
            end
            love.graphics.setColor(color)
            love.graphics.rectangle("fill",x,y,boxwidth,boxheight)
            xno = xno + 1
        end
        no = no + 1 
    end 
end
local i = 0
function love.draw()
    i = i + 0.2
    checkerboard(0,0,800,600,10,10,i,i)
end